"""Add TWAMP deployment workflow.

Revision ID: f0764c6f392c
Revises: 815033570ad7
Create Date: 2023-12-27 14:31:42.285180

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'f0764c6f392c'
down_revision = 'b689d4636694'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "deploy_twamp",
        "target": "MODIFY",
        "description": "Deploy TWAMP",
        "product_type": "Iptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
